Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
100.0.0.0
Broadcast address
100.255.255.255
First usable
100.0.0.1
Last usable
100.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 64000000 · Integer 1677721600 to 1694498815
Reverse DNS zone
100.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100..00000000.00000000.00000000100.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01100100..00000000.00000000.00000000100.0.0.0
Broadcast01100100..11111111.11111111.11111111100.255.255.255
Split into smaller subnets/16

100.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.0.0.0/16100.0.0.1 to 100.0.255.254100.0.255.25565,534
2100.1.0.0/16100.1.0.1 to 100.1.255.254100.1.255.25565,534
3100.2.0.0/16100.2.0.1 to 100.2.255.254100.2.255.25565,534
4100.3.0.0/16100.3.0.1 to 100.3.255.254100.3.255.25565,534
5100.4.0.0/16100.4.0.1 to 100.4.255.254100.4.255.25565,534
6100.5.0.0/16100.5.0.1 to 100.5.255.254100.5.255.25565,534
7100.6.0.0/16100.6.0.1 to 100.6.255.254100.6.255.25565,534
8100.7.0.0/16100.7.0.1 to 100.7.255.254100.7.255.25565,534
9100.8.0.0/16100.8.0.1 to 100.8.255.254100.8.255.25565,534
10100.9.0.0/16100.9.0.1 to 100.9.255.254100.9.255.25565,534
11100.10.0.0/16100.10.0.1 to 100.10.255.254100.10.255.25565,534
12100.11.0.0/16100.11.0.1 to 100.11.255.254100.11.255.25565,534
13100.12.0.0/16100.12.0.1 to 100.12.255.254100.12.255.25565,534
14100.13.0.0/16100.13.0.1 to 100.13.255.254100.13.255.25565,534
15100.14.0.0/16100.14.0.1 to 100.14.255.254100.14.255.25565,534
16100.15.0.0/16100.15.0.1 to 100.15.255.254100.15.255.25565,534
17100.16.0.0/16100.16.0.1 to 100.16.255.254100.16.255.25565,534
18100.17.0.0/16100.17.0.1 to 100.17.255.254100.17.255.25565,534
19100.18.0.0/16100.18.0.1 to 100.18.255.254100.18.255.25565,534
20100.19.0.0/16100.19.0.1 to 100.19.255.254100.19.255.25565,534
21100.20.0.0/16100.20.0.1 to 100.20.255.254100.20.255.25565,534
22100.21.0.0/16100.21.0.1 to 100.21.255.254100.21.255.25565,534
23100.22.0.0/16100.22.0.1 to 100.22.255.254100.22.255.25565,534
24100.23.0.0/16100.23.0.1 to 100.23.255.254100.23.255.25565,534
25100.24.0.0/16100.24.0.1 to 100.24.255.254100.24.255.25565,534
26100.25.0.0/16100.25.0.1 to 100.25.255.254100.25.255.25565,534
27100.26.0.0/16100.26.0.1 to 100.26.255.254100.26.255.25565,534
28100.27.0.0/16100.27.0.1 to 100.27.255.254100.27.255.25565,534
29100.28.0.0/16100.28.0.1 to 100.28.255.254100.28.255.25565,534
30100.29.0.0/16100.29.0.1 to 100.29.255.254100.29.255.25565,534
31100.30.0.0/16100.30.0.1 to 100.30.255.254100.30.255.25565,534
32100.31.0.0/16100.31.0.1 to 100.31.255.254100.31.255.25565,534
33100.32.0.0/16100.32.0.1 to 100.32.255.254100.32.255.25565,534
34100.33.0.0/16100.33.0.1 to 100.33.255.254100.33.255.25565,534
35100.34.0.0/16100.34.0.1 to 100.34.255.254100.34.255.25565,534
36100.35.0.0/16100.35.0.1 to 100.35.255.254100.35.255.25565,534
37100.36.0.0/16100.36.0.1 to 100.36.255.254100.36.255.25565,534
38100.37.0.0/16100.37.0.1 to 100.37.255.254100.37.255.25565,534
39100.38.0.0/16100.38.0.1 to 100.38.255.254100.38.255.25565,534
40100.39.0.0/16100.39.0.1 to 100.39.255.254100.39.255.25565,534
41100.40.0.0/16100.40.0.1 to 100.40.255.254100.40.255.25565,534
42100.41.0.0/16100.41.0.1 to 100.41.255.254100.41.255.25565,534
43100.42.0.0/16100.42.0.1 to 100.42.255.254100.42.255.25565,534
44100.43.0.0/16100.43.0.1 to 100.43.255.254100.43.255.25565,534
45100.44.0.0/16100.44.0.1 to 100.44.255.254100.44.255.25565,534
46100.45.0.0/16100.45.0.1 to 100.45.255.254100.45.255.25565,534
47100.46.0.0/16100.46.0.1 to 100.46.255.254100.46.255.25565,534
48100.47.0.0/16100.47.0.1 to 100.47.255.254100.47.255.25565,534
49100.48.0.0/16100.48.0.1 to 100.48.255.254100.48.255.25565,534
50100.49.0.0/16100.49.0.1 to 100.49.255.254100.49.255.25565,534
51100.50.0.0/16100.50.0.1 to 100.50.255.254100.50.255.25565,534
52100.51.0.0/16100.51.0.1 to 100.51.255.254100.51.255.25565,534
53100.52.0.0/16100.52.0.1 to 100.52.255.254100.52.255.25565,534
54100.53.0.0/16100.53.0.1 to 100.53.255.254100.53.255.25565,534
55100.54.0.0/16100.54.0.1 to 100.54.255.254100.54.255.25565,534
56100.55.0.0/16100.55.0.1 to 100.55.255.254100.55.255.25565,534
57100.56.0.0/16100.56.0.1 to 100.56.255.254100.56.255.25565,534
58100.57.0.0/16100.57.0.1 to 100.57.255.254100.57.255.25565,534
59100.58.0.0/16100.58.0.1 to 100.58.255.254100.58.255.25565,534
60100.59.0.0/16100.59.0.1 to 100.59.255.254100.59.255.25565,534
61100.60.0.0/16100.60.0.1 to 100.60.255.254100.60.255.25565,534
62100.61.0.0/16100.61.0.1 to 100.61.255.254100.61.255.25565,534
63100.62.0.0/16100.62.0.1 to 100.62.255.254100.62.255.25565,534
64100.63.0.0/16100.63.0.1 to 100.63.255.254100.63.255.25565,534
65100.64.0.0/16100.64.0.1 to 100.64.255.254100.64.255.25565,534
66100.65.0.0/16100.65.0.1 to 100.65.255.254100.65.255.25565,534
67100.66.0.0/16100.66.0.1 to 100.66.255.254100.66.255.25565,534
68100.67.0.0/16100.67.0.1 to 100.67.255.254100.67.255.25565,534
69100.68.0.0/16100.68.0.1 to 100.68.255.254100.68.255.25565,534
70100.69.0.0/16100.69.0.1 to 100.69.255.254100.69.255.25565,534
71100.70.0.0/16100.70.0.1 to 100.70.255.254100.70.255.25565,534
72100.71.0.0/16100.71.0.1 to 100.71.255.254100.71.255.25565,534
73100.72.0.0/16100.72.0.1 to 100.72.255.254100.72.255.25565,534
74100.73.0.0/16100.73.0.1 to 100.73.255.254100.73.255.25565,534
75100.74.0.0/16100.74.0.1 to 100.74.255.254100.74.255.25565,534
76100.75.0.0/16100.75.0.1 to 100.75.255.254100.75.255.25565,534
77100.76.0.0/16100.76.0.1 to 100.76.255.254100.76.255.25565,534
78100.77.0.0/16100.77.0.1 to 100.77.255.254100.77.255.25565,534
79100.78.0.0/16100.78.0.1 to 100.78.255.254100.78.255.25565,534
80100.79.0.0/16100.79.0.1 to 100.79.255.254100.79.255.25565,534
81100.80.0.0/16100.80.0.1 to 100.80.255.254100.80.255.25565,534
82100.81.0.0/16100.81.0.1 to 100.81.255.254100.81.255.25565,534
83100.82.0.0/16100.82.0.1 to 100.82.255.254100.82.255.25565,534
84100.83.0.0/16100.83.0.1 to 100.83.255.254100.83.255.25565,534
85100.84.0.0/16100.84.0.1 to 100.84.255.254100.84.255.25565,534
86100.85.0.0/16100.85.0.1 to 100.85.255.254100.85.255.25565,534
87100.86.0.0/16100.86.0.1 to 100.86.255.254100.86.255.25565,534
88100.87.0.0/16100.87.0.1 to 100.87.255.254100.87.255.25565,534
89100.88.0.0/16100.88.0.1 to 100.88.255.254100.88.255.25565,534
90100.89.0.0/16100.89.0.1 to 100.89.255.254100.89.255.25565,534
91100.90.0.0/16100.90.0.1 to 100.90.255.254100.90.255.25565,534
92100.91.0.0/16100.91.0.1 to 100.91.255.254100.91.255.25565,534
93100.92.0.0/16100.92.0.1 to 100.92.255.254100.92.255.25565,534
94100.93.0.0/16100.93.0.1 to 100.93.255.254100.93.255.25565,534
95100.94.0.0/16100.94.0.1 to 100.94.255.254100.94.255.25565,534
96100.95.0.0/16100.95.0.1 to 100.95.255.254100.95.255.25565,534
97100.96.0.0/16100.96.0.1 to 100.96.255.254100.96.255.25565,534
98100.97.0.0/16100.97.0.1 to 100.97.255.254100.97.255.25565,534
99100.98.0.0/16100.98.0.1 to 100.98.255.254100.98.255.25565,534
100100.99.0.0/16100.99.0.1 to 100.99.255.254100.99.255.25565,534
101100.100.0.0/16100.100.0.1 to 100.100.255.254100.100.255.25565,534
102100.101.0.0/16100.101.0.1 to 100.101.255.254100.101.255.25565,534
103100.102.0.0/16100.102.0.1 to 100.102.255.254100.102.255.25565,534
104100.103.0.0/16100.103.0.1 to 100.103.255.254100.103.255.25565,534
105100.104.0.0/16100.104.0.1 to 100.104.255.254100.104.255.25565,534
106100.105.0.0/16100.105.0.1 to 100.105.255.254100.105.255.25565,534
107100.106.0.0/16100.106.0.1 to 100.106.255.254100.106.255.25565,534
108100.107.0.0/16100.107.0.1 to 100.107.255.254100.107.255.25565,534
109100.108.0.0/16100.108.0.1 to 100.108.255.254100.108.255.25565,534
110100.109.0.0/16100.109.0.1 to 100.109.255.254100.109.255.25565,534
111100.110.0.0/16100.110.0.1 to 100.110.255.254100.110.255.25565,534
112100.111.0.0/16100.111.0.1 to 100.111.255.254100.111.255.25565,534
113100.112.0.0/16100.112.0.1 to 100.112.255.254100.112.255.25565,534
114100.113.0.0/16100.113.0.1 to 100.113.255.254100.113.255.25565,534
115100.114.0.0/16100.114.0.1 to 100.114.255.254100.114.255.25565,534
116100.115.0.0/16100.115.0.1 to 100.115.255.254100.115.255.25565,534
117100.116.0.0/16100.116.0.1 to 100.116.255.254100.116.255.25565,534
118100.117.0.0/16100.117.0.1 to 100.117.255.254100.117.255.25565,534
119100.118.0.0/16100.118.0.1 to 100.118.255.254100.118.255.25565,534
120100.119.0.0/16100.119.0.1 to 100.119.255.254100.119.255.25565,534
121100.120.0.0/16100.120.0.1 to 100.120.255.254100.120.255.25565,534
122100.121.0.0/16100.121.0.1 to 100.121.255.254100.121.255.25565,534
123100.122.0.0/16100.122.0.1 to 100.122.255.254100.122.255.25565,534
124100.123.0.0/16100.123.0.1 to 100.123.255.254100.123.255.25565,534
125100.124.0.0/16100.124.0.1 to 100.124.255.254100.124.255.25565,534
126100.125.0.0/16100.125.0.1 to 100.125.255.254100.125.255.25565,534
127100.126.0.0/16100.126.0.1 to 100.126.255.254100.126.255.25565,534
128100.127.0.0/16100.127.0.1 to 100.127.255.254100.127.255.25565,534
129100.128.0.0/16100.128.0.1 to 100.128.255.254100.128.255.25565,534
130100.129.0.0/16100.129.0.1 to 100.129.255.254100.129.255.25565,534
131100.130.0.0/16100.130.0.1 to 100.130.255.254100.130.255.25565,534
132100.131.0.0/16100.131.0.1 to 100.131.255.254100.131.255.25565,534
133100.132.0.0/16100.132.0.1 to 100.132.255.254100.132.255.25565,534
134100.133.0.0/16100.133.0.1 to 100.133.255.254100.133.255.25565,534
135100.134.0.0/16100.134.0.1 to 100.134.255.254100.134.255.25565,534
136100.135.0.0/16100.135.0.1 to 100.135.255.254100.135.255.25565,534
137100.136.0.0/16100.136.0.1 to 100.136.255.254100.136.255.25565,534
138100.137.0.0/16100.137.0.1 to 100.137.255.254100.137.255.25565,534
139100.138.0.0/16100.138.0.1 to 100.138.255.254100.138.255.25565,534
140100.139.0.0/16100.139.0.1 to 100.139.255.254100.139.255.25565,534
141100.140.0.0/16100.140.0.1 to 100.140.255.254100.140.255.25565,534
142100.141.0.0/16100.141.0.1 to 100.141.255.254100.141.255.25565,534
143100.142.0.0/16100.142.0.1 to 100.142.255.254100.142.255.25565,534
144100.143.0.0/16100.143.0.1 to 100.143.255.254100.143.255.25565,534
145100.144.0.0/16100.144.0.1 to 100.144.255.254100.144.255.25565,534
146100.145.0.0/16100.145.0.1 to 100.145.255.254100.145.255.25565,534
147100.146.0.0/16100.146.0.1 to 100.146.255.254100.146.255.25565,534
148100.147.0.0/16100.147.0.1 to 100.147.255.254100.147.255.25565,534
149100.148.0.0/16100.148.0.1 to 100.148.255.254100.148.255.25565,534
150100.149.0.0/16100.149.0.1 to 100.149.255.254100.149.255.25565,534
151100.150.0.0/16100.150.0.1 to 100.150.255.254100.150.255.25565,534
152100.151.0.0/16100.151.0.1 to 100.151.255.254100.151.255.25565,534
153100.152.0.0/16100.152.0.1 to 100.152.255.254100.152.255.25565,534
154100.153.0.0/16100.153.0.1 to 100.153.255.254100.153.255.25565,534
155100.154.0.0/16100.154.0.1 to 100.154.255.254100.154.255.25565,534
156100.155.0.0/16100.155.0.1 to 100.155.255.254100.155.255.25565,534
157100.156.0.0/16100.156.0.1 to 100.156.255.254100.156.255.25565,534
158100.157.0.0/16100.157.0.1 to 100.157.255.254100.157.255.25565,534
159100.158.0.0/16100.158.0.1 to 100.158.255.254100.158.255.25565,534
160100.159.0.0/16100.159.0.1 to 100.159.255.254100.159.255.25565,534
161100.160.0.0/16100.160.0.1 to 100.160.255.254100.160.255.25565,534
162100.161.0.0/16100.161.0.1 to 100.161.255.254100.161.255.25565,534
163100.162.0.0/16100.162.0.1 to 100.162.255.254100.162.255.25565,534
164100.163.0.0/16100.163.0.1 to 100.163.255.254100.163.255.25565,534
165100.164.0.0/16100.164.0.1 to 100.164.255.254100.164.255.25565,534
166100.165.0.0/16100.165.0.1 to 100.165.255.254100.165.255.25565,534
167100.166.0.0/16100.166.0.1 to 100.166.255.254100.166.255.25565,534
168100.167.0.0/16100.167.0.1 to 100.167.255.254100.167.255.25565,534
169100.168.0.0/16100.168.0.1 to 100.168.255.254100.168.255.25565,534
170100.169.0.0/16100.169.0.1 to 100.169.255.254100.169.255.25565,534
171100.170.0.0/16100.170.0.1 to 100.170.255.254100.170.255.25565,534
172100.171.0.0/16100.171.0.1 to 100.171.255.254100.171.255.25565,534
173100.172.0.0/16100.172.0.1 to 100.172.255.254100.172.255.25565,534
174100.173.0.0/16100.173.0.1 to 100.173.255.254100.173.255.25565,534
175100.174.0.0/16100.174.0.1 to 100.174.255.254100.174.255.25565,534
176100.175.0.0/16100.175.0.1 to 100.175.255.254100.175.255.25565,534
177100.176.0.0/16100.176.0.1 to 100.176.255.254100.176.255.25565,534
178100.177.0.0/16100.177.0.1 to 100.177.255.254100.177.255.25565,534
179100.178.0.0/16100.178.0.1 to 100.178.255.254100.178.255.25565,534
180100.179.0.0/16100.179.0.1 to 100.179.255.254100.179.255.25565,534
181100.180.0.0/16100.180.0.1 to 100.180.255.254100.180.255.25565,534
182100.181.0.0/16100.181.0.1 to 100.181.255.254100.181.255.25565,534
183100.182.0.0/16100.182.0.1 to 100.182.255.254100.182.255.25565,534
184100.183.0.0/16100.183.0.1 to 100.183.255.254100.183.255.25565,534
185100.184.0.0/16100.184.0.1 to 100.184.255.254100.184.255.25565,534
186100.185.0.0/16100.185.0.1 to 100.185.255.254100.185.255.25565,534
187100.186.0.0/16100.186.0.1 to 100.186.255.254100.186.255.25565,534
188100.187.0.0/16100.187.0.1 to 100.187.255.254100.187.255.25565,534
189100.188.0.0/16100.188.0.1 to 100.188.255.254100.188.255.25565,534
190100.189.0.0/16100.189.0.1 to 100.189.255.254100.189.255.25565,534
191100.190.0.0/16100.190.0.1 to 100.190.255.254100.190.255.25565,534
192100.191.0.0/16100.191.0.1 to 100.191.255.254100.191.255.25565,534
193100.192.0.0/16100.192.0.1 to 100.192.255.254100.192.255.25565,534
194100.193.0.0/16100.193.0.1 to 100.193.255.254100.193.255.25565,534
195100.194.0.0/16100.194.0.1 to 100.194.255.254100.194.255.25565,534
196100.195.0.0/16100.195.0.1 to 100.195.255.254100.195.255.25565,534
197100.196.0.0/16100.196.0.1 to 100.196.255.254100.196.255.25565,534
198100.197.0.0/16100.197.0.1 to 100.197.255.254100.197.255.25565,534
199100.198.0.0/16100.198.0.1 to 100.198.255.254100.198.255.25565,534
200100.199.0.0/16100.199.0.1 to 100.199.255.254100.199.255.25565,534
201100.200.0.0/16100.200.0.1 to 100.200.255.254100.200.255.25565,534
202100.201.0.0/16100.201.0.1 to 100.201.255.254100.201.255.25565,534
203100.202.0.0/16100.202.0.1 to 100.202.255.254100.202.255.25565,534
204100.203.0.0/16100.203.0.1 to 100.203.255.254100.203.255.25565,534
205100.204.0.0/16100.204.0.1 to 100.204.255.254100.204.255.25565,534
206100.205.0.0/16100.205.0.1 to 100.205.255.254100.205.255.25565,534
207100.206.0.0/16100.206.0.1 to 100.206.255.254100.206.255.25565,534
208100.207.0.0/16100.207.0.1 to 100.207.255.254100.207.255.25565,534
209100.208.0.0/16100.208.0.1 to 100.208.255.254100.208.255.25565,534
210100.209.0.0/16100.209.0.1 to 100.209.255.254100.209.255.25565,534
211100.210.0.0/16100.210.0.1 to 100.210.255.254100.210.255.25565,534
212100.211.0.0/16100.211.0.1 to 100.211.255.254100.211.255.25565,534
213100.212.0.0/16100.212.0.1 to 100.212.255.254100.212.255.25565,534
214100.213.0.0/16100.213.0.1 to 100.213.255.254100.213.255.25565,534
215100.214.0.0/16100.214.0.1 to 100.214.255.254100.214.255.25565,534
216100.215.0.0/16100.215.0.1 to 100.215.255.254100.215.255.25565,534
217100.216.0.0/16100.216.0.1 to 100.216.255.254100.216.255.25565,534
218100.217.0.0/16100.217.0.1 to 100.217.255.254100.217.255.25565,534
219100.218.0.0/16100.218.0.1 to 100.218.255.254100.218.255.25565,534
220100.219.0.0/16100.219.0.1 to 100.219.255.254100.219.255.25565,534
221100.220.0.0/16100.220.0.1 to 100.220.255.254100.220.255.25565,534
222100.221.0.0/16100.221.0.1 to 100.221.255.254100.221.255.25565,534
223100.222.0.0/16100.222.0.1 to 100.222.255.254100.222.255.25565,534
224100.223.0.0/16100.223.0.1 to 100.223.255.254100.223.255.25565,534
225100.224.0.0/16100.224.0.1 to 100.224.255.254100.224.255.25565,534
226100.225.0.0/16100.225.0.1 to 100.225.255.254100.225.255.25565,534
227100.226.0.0/16100.226.0.1 to 100.226.255.254100.226.255.25565,534
228100.227.0.0/16100.227.0.1 to 100.227.255.254100.227.255.25565,534
229100.228.0.0/16100.228.0.1 to 100.228.255.254100.228.255.25565,534
230100.229.0.0/16100.229.0.1 to 100.229.255.254100.229.255.25565,534
231100.230.0.0/16100.230.0.1 to 100.230.255.254100.230.255.25565,534
232100.231.0.0/16100.231.0.1 to 100.231.255.254100.231.255.25565,534
233100.232.0.0/16100.232.0.1 to 100.232.255.254100.232.255.25565,534
234100.233.0.0/16100.233.0.1 to 100.233.255.254100.233.255.25565,534
235100.234.0.0/16100.234.0.1 to 100.234.255.254100.234.255.25565,534
236100.235.0.0/16100.235.0.1 to 100.235.255.254100.235.255.25565,534
237100.236.0.0/16100.236.0.1 to 100.236.255.254100.236.255.25565,534
238100.237.0.0/16100.237.0.1 to 100.237.255.254100.237.255.25565,534
239100.238.0.0/16100.238.0.1 to 100.238.255.254100.238.255.25565,534
240100.239.0.0/16100.239.0.1 to 100.239.255.254100.239.255.25565,534
241100.240.0.0/16100.240.0.1 to 100.240.255.254100.240.255.25565,534
242100.241.0.0/16100.241.0.1 to 100.241.255.254100.241.255.25565,534
243100.242.0.0/16100.242.0.1 to 100.242.255.254100.242.255.25565,534
244100.243.0.0/16100.243.0.1 to 100.243.255.254100.243.255.25565,534
245100.244.0.0/16100.244.0.1 to 100.244.255.254100.244.255.25565,534
246100.245.0.0/16100.245.0.1 to 100.245.255.254100.245.255.25565,534
247100.246.0.0/16100.246.0.1 to 100.246.255.254100.246.255.25565,534
248100.247.0.0/16100.247.0.1 to 100.247.255.254100.247.255.25565,534
249100.248.0.0/16100.248.0.1 to 100.248.255.254100.248.255.25565,534
250100.249.0.0/16100.249.0.1 to 100.249.255.254100.249.255.25565,534
251100.250.0.0/16100.250.0.1 to 100.250.255.254100.250.255.25565,534
252100.251.0.0/16100.251.0.1 to 100.251.255.254100.251.255.25565,534
253100.252.0.0/16100.252.0.1 to 100.252.255.254100.252.255.25565,534
254100.253.0.0/16100.253.0.1 to 100.253.255.254100.253.255.25565,534
255100.254.0.0/16100.254.0.1 to 100.254.255.254100.254.255.25565,534
256100.255.0.0/16100.255.0.1 to 100.255.255.254100.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses